# 88. म्यूटेशन: ZonesMap को ज़िप्ड Shapefile के रूप में एक्सपोर्ट करें

चयनित "ZonesMap" को shapefile के रूप में ज़िप आर्काइव बनाएं।

{% hint style="info" %}
आर्काइव में EPSG:4326 में \*.shp, \*.shx, \*.prj, \*.dbf फ़ाइलें शामिल होती हैं।
{% endhint %}

### 1. तैयारी

* एट्रिब्यूट `vectorAnalysisMaps` निर्यात के लिए ZonesMaps (VectorAnalysisMaps) ऑब्जेक्ट्स की एक एरे रखता है। प्रत्येक ऐसा ऑब्जेक्ट एक जोड़ी शामिल करता है `fieldUuid` (चयनित फ़ील्ड से लिंक) और `uuid` (चयनित ZonesMap से लिंक)।
* बूलियन एट्रिब्यूट `asMultiGeometry` निर्धारित करता है कि ज़ोन किस रूप में निर्यात किए जाएँ `बहुभुज (Polygons)` या `मल्टीबहुभुज (MultiPolygons)` (जब सेट किया गया है `true` ).
* बूलियन एट्रिब्यूट `onlyProductColumns` निर्देश देता है कि केवल उन कॉलमों को शामिल किया जाए जिनमें उत्पाद (RX) हों (जब `true`)। अन्यथा, सभी सांख्यिकीय एट्रिब्यूट और ज़ोन आईडी कॉलम के रूप में शामिल किए जाएँगे।
* एट्रिब्यूट `archiveName` बनाए गए ज़िप आर्काइव का नाम रखता है।
* एट्रिब्यूट `filePostfix` निर्यात की गई फ़ाइलों और आर्काइव में कस्टम पोस्टफिक्स जोड़ने की अनुमति देता है।

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation exportData {
  exportData(
    input: {
      filePostfix:"_GP" 
      vectorAnalysisMaps:[
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        },
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        }
      ]
      asMultiGeometry:true 
      onlyProductColumns:true 
      archiveName:"ArchivedZonesMaps"
    }
  ) {
    archiveUrl
    
    zippedVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    ignoredVectorAnalysisMaps  {
      uuid
      fieldUuid
      status
    } 
  }
}
```

{% endcode %}

### 2. उत्पन्न आर्काइव डाउनलोड करें

GraphQL क्वेरी के निष्पादन के बाद, इसे डाउनलोड करना संभव है उपयोग करके `curl` या समान तरीका।

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<archiveUrl>' --compressed >> '<archiveUrl>'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/in/api/geopard-api-3/88.-zonesmap-shapefile.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
